com.microfocus.awm.meta.interfaces

## Interface RFilterFiltercriterion

- All Superinterfaces:
    AWMObject, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    RFilterFiltercriterionImpl

      public interface RFilterFiltercriterion
      extends AWMObject

  The relationship "Filter has Filter Criterion" defines properties that are interpreted as filter criteria.

  The following features are supported:

  - `Target ID`
  - `Category`
  - `Generic`
  - `Label`
  - `Mandatory`
  - `Seq No`
  See Also:
    `TaurusPackage.getRFilterFiltercriterion()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCategory()` Returns the value of the 'Category' attribute.
    `java.lang.String` | `getLabel()` Returns the value of the 'Label' attribute.
    `java.lang.String` | `getLabelFromHierarchy()` Returns the Label or, if the Label wasn't set, the Label of the referenced Property (`TargetID`).
    `java.lang.String` | `getParsedCategory()` Returns the category without column specifications.
    `int` | `getSeqNo()` Returns the value of the 'Seq No' attribute.
    `Property` | `getTargetID()` Returns the value of the 'Target ID' reference.
    `boolean` | `isGeneric()` Returns the value of the 'Generic' attribute.
    `boolean` | `isMandatory()` Returns the value of the 'Mandatory' attribute.
    `boolean` | `isSetGeneric()` Returns whether the value of the '`Generic`' attribute is set.
    `boolean` | `isSetMandatory()` Returns whether the value of the '`Mandatory`' attribute is set.
    `boolean` | `isSetSeqNo()` Returns whether the value of the '`Seq No`' attribute is set.
    `void` | `setCategory(java.lang.String value)` Sets the value of the '`Category`' attribute.
    `void` | `setGeneric(boolean value)` Sets the value of the '`Generic`' attribute.
    `void` | `setLabel(java.lang.String value)` Sets the value of the '`Label`' attribute.
    `void` | `setMandatory(boolean value)` Sets the value of the '`Mandatory`' attribute.
    `void` | `setSeqNo(int value)` Sets the value of the '`Seq No`' attribute.
    `void` | `setTargetID(Property value)` Sets the value of the '`Target ID`' reference.
    `void` | `unsetGeneric()` Unsets the value of the '`Generic`' attribute.
    `void` | `unsetMandatory()` Unsets the value of the '`Mandatory`' attribute.
    `void` | `unsetSeqNo()` Unsets the value of the '`Seq No`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getTargetID

          Property getTargetID()

      Returns the value of the 'Target ID' reference. Reference to a property that should be used as a filter criterion.
      Returns:
        the value of the 'Target ID' reference.
      See Also:
        `setTargetID(Property)`, `TaurusPackage.getRFilterFiltercriterion_TargetID()`

    - #### setTargetID

          void setTargetID(Property value)

      Sets the value of the '`Target ID`' reference.
      Parameters:
        `value` - the new value of the 'Target ID' reference.
      See Also:
        `getTargetID()`

    - #### isGeneric

          boolean isGeneric()

      Returns the value of the 'Generic' attribute. The default value is `"false"`.
      Indicates whether wildcard characters are permitted as filter criterion.
      Returns:
        the value of the 'Generic' attribute.
      See Also:
        `isSetGeneric()`, `unsetGeneric()`, `setGeneric(boolean)`, `TaurusPackage.getRFilterFiltercriterion_Generic()`

    - #### setGeneric

          void setGeneric(boolean value)

      Sets the value of the '`Generic`' attribute.
      Parameters:
        `value` - the new value of the 'Generic' attribute.
      See Also:
        `isSetGeneric()`, `unsetGeneric()`, `isGeneric()`

    - #### unsetGeneric

          void unsetGeneric()

      Unsets the value of the '`Generic`' attribute.
      See Also:
        `isSetGeneric()`, `isGeneric()`, `setGeneric(boolean)`

    - #### isSetGeneric

          boolean isSetGeneric()

      Returns whether the value of the '`Generic`' attribute is set.
      Returns:
        whether the value of the 'Generic' attribute is set.
      See Also:
        `unsetGeneric()`, `isGeneric()`, `setGeneric(boolean)`

    - #### getLabel

          java.lang.String getLabel()

      Returns the value of the 'Label' attribute.
      Display text of the input field in the Filter dialog box.
      Returns:
        the value of the 'Label' attribute.
      See Also:
        `setLabel(String)`, `TaurusPackage.getRFilterFiltercriterion_Label()`

    - #### getLabelFromHierarchy

          java.lang.String getLabelFromHierarchy()

      Returns the Label or, if the Label wasn't set, the Label of the referenced Property (`TargetID`). If the Properties Label wasn't set, too, its ID will be returned.

    - #### setLabel

          void setLabel(java.lang.String value)

      Sets the value of the '`Label`' attribute.
      Parameters:
        `value` - the new value of the 'Label' attribute.
      See Also:
        `getLabel()`

    - #### getCategory

          java.lang.String getCategory()

      Returns the value of the 'Category' attribute.
      Categorizes the filter criterion in the Filter dialog box.
      Returns:
        the value of the 'Category' attribute.
      See Also:
        `setCategory(String)`, `TaurusPackage.getRFilterFiltercriterion_Category()`

    - #### getParsedCategory

          java.lang.String getParsedCategory()

      Returns the category without column specifications.

    - #### setCategory

          void setCategory(java.lang.String value)

      Sets the value of the '`Category`' attribute.
      Parameters:
        `value` - the new value of the 'Category' attribute.
      See Also:
        `getCategory()`

    - #### isMandatory

          boolean isMandatory()

      Returns the value of the 'Mandatory' attribute. The default value is `"true"`.
      Indicates whether the criterion is mandatory for the creation of a filter. If true, the user must specify a value in the generated input field in the Filter dialog box.
      Mandatory filter criteria are marked with the symbol * after the label of the input fields.
      Returns:
        the value of the 'Mandatory' attribute.
      See Also:
        `isSetMandatory()`, `unsetMandatory()`, `setMandatory(boolean)`, `TaurusPackage.getRFilterFiltercriterion_Mandatory()`

    - #### setMandatory

          void setMandatory(boolean value)

      Sets the value of the '`Mandatory`' attribute.
      Parameters:
        `value` - the new value of the 'Mandatory' attribute.
      See Also:
        `isSetMandatory()`, `unsetMandatory()`, `isMandatory()`

    - #### unsetMandatory

          void unsetMandatory()

      Unsets the value of the '`Mandatory`' attribute.
      See Also:
        `isSetMandatory()`, `isMandatory()`, `setMandatory(boolean)`

    - #### isSetMandatory

          boolean isSetMandatory()

      Returns whether the value of the '`Mandatory`' attribute is set.
      Returns:
        whether the value of the 'Mandatory' attribute is set.
      See Also:
        `unsetMandatory()`, `isMandatory()`, `setMandatory(boolean)`

    - #### getSeqNo

          int getSeqNo()

      Returns the value of the 'Seq No' attribute.
      The position number of the filter criterion input field within a filter dialog box.
      Returns:
        the value of the 'Seq No' attribute.
      See Also:
        `isSetSeqNo()`, `unsetSeqNo()`, `setSeqNo(int)`, `TaurusPackage.getRFilterFiltercriterion_SeqNo()`

    - #### setSeqNo

          void setSeqNo(int value)

      Sets the value of the '`Seq No`' attribute.
      Parameters:
        `value` - the new value of the 'Seq No' attribute.
      See Also:
        `isSetSeqNo()`, `unsetSeqNo()`, `getSeqNo()`

    - #### unsetSeqNo

          void unsetSeqNo()

      Unsets the value of the '`Seq No`' attribute.
      See Also:
        `isSetSeqNo()`, `getSeqNo()`, `setSeqNo(int)`

    - #### isSetSeqNo

          boolean isSetSeqNo()

      Returns whether the value of the '`Seq No`' attribute is set.
      Returns:
        whether the value of the 'Seq No' attribute is set.
      See Also:
        `unsetSeqNo()`, `getSeqNo()`, `setSeqNo(int)`

Copyright © 2015 Micro Focus GmbH. All rights reserved.